<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:transform xmlns:xsl='http://www.w3.org/1999/XSL/Transform'  xmlns:al="http://www.logilab.org/namespaces/Narval/1.2" version='1.0'>

<xsl:template match="al:input">
<listitem>
 <para>
<xsl:choose>
 <xsl:when test="al:match">
<emphasis>match&#160;:&#160;</emphasis><command><xsl:apply-templates select="al:match"/></command>
<xsl:choose>
 <xsl:when test="@id">
&#160;(<emphasis>id</emphasis> = <command><xsl:value-of select='@id'/></command>)
 </xsl:when>
</xsl:choose>
 <para>
<xsl:value-of select="./al:description[@lang=$LANG]/text()"/>
 </para>
 <informaltable>
   <tgroup cols="4" colsep="0" rowsep="0" align="center">
   <thead>
   <row>
     <entry><emphasis>optional</emphasis></entry>
     <entry><emphasis>list</emphasis></entry>
     <entry><emphasis>use</emphasis></entry>
     <entry><emphasis>outdates</emphasis></entry>
   </row>
   </thead>
   <tbody>
   <row>
<entry align='center'>
<xsl:choose>
 <xsl:when test="@optional">
<xsl:value-of select="@optional"/>
 </xsl:when>
 <xsl:otherwise>
no
 </xsl:otherwise> 
</xsl:choose> 
</entry><entry align='center'>
<xsl:choose>
 <xsl:when test="@list">
<xsl:value-of select="@list"/>
 </xsl:when>
 <xsl:otherwise>
no
 </xsl:otherwise> 
</xsl:choose> 
</entry><entry align='center'>
<xsl:choose>
 <xsl:when test="@use">
<xsl:value-of select="@use"/>
 </xsl:when>
 <xsl:otherwise>
no
 </xsl:otherwise> 
</xsl:choose> 
</entry><entry align='center'>
<xsl:choose>
 <xsl:when test="@outdates">
<xsl:value-of select="@outdates"/>
 </xsl:when>
 <xsl:otherwise>
no
 </xsl:otherwise> 
</xsl:choose> 
</entry>
</row>
</tbody>
</tgroup>
</informaltable>
 </xsl:when>
 <xsl:otherwise>
<emphasis>id&#160;:&#160;</emphasis><command><xsl:value-of select="@id"/></command>
   <xsl:value-of select="./al:description[@lang=$LANG]/text()"/>
 </xsl:otherwise>
 </xsl:choose>
</para>
</listitem>
</xsl:template>


<xsl:template match="al:output">
<listitem>
 <para>
<xsl:choose>
 <xsl:when test="al:match">
<emphasis>match&#160;:&#160;</emphasis><command><xsl:value-of select="al:match/text()"/></command>
 <para>
   <xsl:value-of select="./al:description[@lang=$LANG]/text()"/>
 </para>
 <informaltable>
   <tgroup cols="2" colsep="0" rowsep="0" align="center">
   <thead>
   <row>
     <entry><emphasis>optional</emphasis></entry>
     <entry><emphasis>list</emphasis></entry>
   </row>
   </thead>
   <tbody>
   <row>
<entry align='center'>
<xsl:choose>
 <xsl:when test="@optional">
<xsl:value-of select="@optional"/>
 </xsl:when>
 <xsl:otherwise>
no
 </xsl:otherwise> 
</xsl:choose> 
</entry><entry align='center'>
<xsl:choose>
 <xsl:when test="@list">
<xsl:value-of select="@list"/>
 </xsl:when>
 <xsl:otherwise>
no
 </xsl:otherwise> 
</xsl:choose> 
</entry>
</row>
</tbody>
</tgroup>
</informaltable>
 </xsl:when>
 <xsl:otherwise>
<emphasis>id&#160;:&#160;</emphasis><command><xsl:value-of select="@id"/></command>
   <xsl:value-of select="./al:description[@lang=$LANG]/text()"/>
 </xsl:otherwise>
 </xsl:choose>
</para>
</listitem>
</xsl:template>

<xsl:template match="al:match">
<xsl:value-of select="."/>&#160;&#160;
</xsl:template>

</xsl:transform>
